shishi_key_length(3)

NAME
shishi_key_length - API function

SYNOPSIS
#include <shishi.h>

size_t shishi_key_length(const Shishi_key * key);

ARGUMENTS

const Shishi_key * key
    structure that holds key information

DESCRIPTION
Calls shishi_cipher_keylen for key type.

RETURN VALUE
Returns the length of the key value.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.